import { RouteConfig } from "@/types/route";

export const AccountManager: RouteConfig = {
  name: "AccountManager",
  path: "/account",
  meta: {
    title: "公众号管理",
  },
  component: () => import("@/views/account/account.vue"),
};

const PutBook = {
  name: "PutBook",
  path: "book",
  meta: {
    title: "投放书籍",
  },
  component: () => import("@/views/put/put-book.vue"),
};

const PutAdAccount = {
  name: "PutAdAccount",
  path: "ad-account",
  meta: {
    title: "广告账号",
  },
  component: () => import("@/views/put/put-ad-account.vue"),
};

const PutAdPlan = {
  name: "PutAdPlan",
  path: "ad-plan",
  meta: {
    title: "广告计划",
  },
  component: () => import("@/views/put/put-ad-plan.vue"),
};

const PutData = {
  name: "PutData",
  path: "data",
  meta: {
    title: "投放数据",
  },
  component: () => import("@/views/put/put-data.vue"),
};

export const PutManager: RouteConfig = {
  name: "PutManager",
  path: "/put",
  meta: {
    title: "投放管理",
  },
  children: [PutBook, PutAdAccount, PutAdPlan, PutData],
  component: () => import("@/views/put/index.vue"),
};

const asyncRoutes: RouteConfig[] = [AccountManager, PutManager];

export default asyncRoutes;
