export interface IResponse<T> extends Promise<T> {
  code: number;
  data?: T;
  msg: string;
}

export interface IUser {
  uid: number | string;
  nickname: string;
  token: string;
}

export interface IMeta {
  current_page: number;
  next_page: number;
  last_page: number;
  per_page: number;
  total: number;
  is_end: boolean;
  next_page_url: string;
  prev_page_url: string;
}

export interface IList<T> {
  meta: IMeta;
  list: T[];
}

export interface IBookSearchResult {
  id: number;
  bid: string;
  name: string;
  platform: string;
}

export interface IDeliveryBook {
  id: number;
  bid: number | string;
  book_name: string;
  delivery_bid: number;
  delivery_platform: string;
  status: number;
  start_time: string;
  end_time: string;
  official_name: string;
}

export interface IOfficialSimple {
  id: number;
  name: string;
}
